## Posts a file to Binary Storage `client.cloudforceOne.binaryStorage.create(BinaryStorageCreateParamsparams, RequestOptionsoptions?): BinaryStorageCreateResponse` **post** `/accounts/{account_id}/cloudforce-one/binary` Posts a file to Binary Storage ### Parameters - `params: BinaryStorageCreateParams` - `account_id: string` Path param: Account ID. - `file: Uploadable` Body param: The binary file content to upload. ### Returns - `BinaryStorageCreateResponse` - `content_type: string` - `md5: string` - `sha1: string` - `sha256: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const binaryStorage = await client.cloudforceOne.binaryStorage.create({ account_id: 'account_id', file: fs.createReadStream('path/to/file'), }); console.log(binaryStorage.content_type); ``` #### Response ```json { "content_type": "text/plain", "md5": "5d84ade76d2a8387c81175bb0cbe6492", "sha1": "9aff6879626d957eafadda044e4f879aae1e7278", "sha256": "0000a7f2692ef479e2e3d02661568882cadec451cc8a64d4e7faca29810cd626" } ```